﻿@model ForgotPasswordViewModel

@using (Ajax.BeginForm("ForgotPassword", "Account", new { returnUrl = ViewBag.returnUrl }, new AjaxOptions { HttpMethod = "Post", OnSuccess = "AjaxSuccess", OnFailure = "AjaxFailure" }, new { id = "ForgotPasswordForm" }))
{
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)
    <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
        <h3 id="myModalLabel4" class="text-left">Forgot password?</h3>
    </div>
    <div class="modal-body inline">
        <div class="error-text">
            <p id="ForgotPasswordMessage"></p>
            <p>@Html.ValidationMessageFor(model => model.Email)</p>
        </div>
        <span>Enter your email address and we will send you an email with password reset instructions.</span>
        @Html.TextBoxFor(model => model.Email, new { @class = "input-block-level", @placeholder = "Email address" })
    </div>
    <div class="modal-footer text-right">
        <input type="submit" value="Submit" class="btn btn-warning loading" data-loading-text="Sending..." id="ForgotPasswordSubmit" />
    </div>
}

<script src="~/Scripts/jquery.validate.min.js"></script>
<script src="~/Scripts/jquery.validate.unobtrusive.min.js"></script>

<script type="text/javascript">

    var msg = $("#ForgotPasswordMessage");

    function AjaxSuccess(data, status) {
        if (data.Status == "Success") {
            window.location.reload();
        }
        else {
            msg.html(data.Message);
        }
        $('#ForgotPasswordSubmit').button('reset');
    }

    function AjaxFailure() {
        msg.html("Error in establish connection with server.");
        $('#ForgotPasswordSubmit').button('reset');
    }

</script>
